import request from '@/utils/request'

/**
 * 获取单据记录
 * @param {Object} data 查询参数
 * @returns {Promise} 请求结果
 */
export function getOrderRecords(data) {
  return request({
    url: '/udiwms/inout/order/filter',
    method: 'post',
    data
  })
}

/**
 * 获取单据记录明细
 * @param {Object} data 查询参数
 * @returns {Promise} 请求结果
 */
export function getOrderDetails(data) {
  return request({
    url: '/udiwms/inout/bizDetail/filterList',
    method: 'post',
    data
  })
}

/**
 * 获取药品信息
 * @param {Object} data 查询参数
 * @returns {Promise} 请求结果
 */
export function getDrugInfo(data) {
  return request({
    url: '/di/udirel/filterUdi',
    method: 'post',
    data
  })
}
